## GnomeDbTransastionStatus

GnomeDbTransastionStatus — Displays the transaction status of a connection

## Synopsis

                        GnomeDbTransactionStatus;
                        GnomeDbTransactionStatusClass;
                        GnomeDbTransactionStatusPriv;
    GtkWidget*          gnome_db_transaction_status_new     (GdaConnection *cnc);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbTransactionStatus

## Implemented Interfaces

GnomeDbTransactionStatus implements AtkImplementorIface.

## Properties

      "connection"               GdaConnection         : Read / Write

## Description

The GnomeDbTransactionStatus widget displays the contents of a GdaTransactionStatus object which represents the "transactional status" of a connection (it tells if a transaction has been started, if there are savepoints, etc).

This widget also allows the user to begin, commit or rollback transactions and to add, rollback or remove savepoints.

## Details

### GnomeDbTransactionStatus

    typedef struct _GnomeDbTransactionStatus GnomeDbTransactionStatus;

### GnomeDbTransactionStatusClass

    typedef struct {
    	GtkVBoxClass                  parent_class;
    } GnomeDbTransactionStatusClass;

### GnomeDbTransactionStatusPriv

    typedef struct _GnomeDbTransactionStatusPriv GnomeDbTransactionStatusPriv;

### gnome_db_transaction_status_new ()

    GtkWidget*          gnome_db_transaction_status_new     (GdaConnection *cnc);

Creates a new GnomeDbTransactionStatus widget showing the transaction status of `cnc`

`cnc` : | a GdaConnection object
Returns : | the new widget

## Property Details

### The "`connection`" property

      "connection"               GdaConnection         : Read / Write